com.threerings.micasa.lobby

## Class LobbyConfig

- java.lang.Object
- - com.threerings.io.SimpleStreamableObject
  - - com.threerings.crowd.data.PlaceConfig
    - - com.threerings.micasa.lobby.LobbyConfig

All Implemented Interfaces:
  com.threerings.io.Streamable

Direct Known Subclasses:
  TableLobbyConfig

    public class LobbyConfig
    extends com.threerings.crowd.data.PlaceConfig

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Constructor Summary

Constructors
Constructor and Description
`LobbyConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.threerings.crowd.client.PlaceController` `createController()`
`JComponent` `createMatchMakingView(MiCasaContext ctx)` Derived classes override this function and create the appropriate matchmaking user interface component.
`GameConfig` `getGameConfig()` Instantiates and returns a game config instance using the game config classname provided by the lobby configuration parameters.
`String` `getManagerClassName()`
`void` `init(Properties config)` Initializes this lobby config object with the properties that are used to configure the lobby.

### Methods inherited from class com.threerings.crowd.data.PlaceConfig

`getControllerClass`

### Methods inherited from class com.threerings.io.SimpleStreamableObject

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LobbyConfig

    public LobbyConfig()

### Method Detail

#### createController

    public com.threerings.crowd.client.PlaceController createController()

Overrides:
  `createController` in class `com.threerings.crowd.data.PlaceConfig`

#### getManagerClassName

    public String getManagerClassName()

Specified by:
  `getManagerClassName` in class `com.threerings.crowd.data.PlaceConfig`

#### createMatchMakingView

    public JComponent createMatchMakingView(MiCasaContext ctx)

Derived classes override this function and create the appropriate matchmaking user interface component.

#### getGameConfig

    public GameConfig getGameConfig()
                             throws Exception

Instantiates and returns a game config instance using the game config classname provided by the lobby configuration parameters.

Throws:
  `Exception` - thrown if a problem occurs loading or instantiating the class.

#### init

    public void init(Properties config)
              throws Exception

Initializes this lobby config object with the properties that are used to configure the lobby. This is called on the server when the lobby is loaded.

Throws:
  `Exception`